"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _camelcase = _interopRequireDefault(require("camelcase"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ValidNameRegex = /^[a-zA-Z_$][0-9a-zA-Z_$]+$/;
const AlphabeticalCharacterRegex = /[a-zA-Z_$]/i;

var _default = name => {
  if (ValidNameRegex.test(name)) {
    return name;
  }

  name = name.split('/').pop();
  const firstCharacter = name.slice(0, 1);

  if (!AlphabeticalCharacterRegex.test(firstCharacter)) {
    return 'invalid_' + Buffer.from(name).toString('base64').replace(/[+=/]/g, '');
  }

  const firstCharacterUpperCase = firstCharacter.toUpperCase() === firstCharacter;
  const camelCaseName = (0, _camelcase.default)(name);

  if (firstCharacterUpperCase) {
    return camelCaseName.slice(0, 1).toUpperCase() + camelCaseName.slice(1);
  }

  return camelCaseName;
};

exports.default = _default;